# ClientProfile

Namespace: **Wisej.Core**

Assembly: **Wisej.Framework** (4.0.0.0)

Definition of the client device.

{% tabs %}
{% tab title="C#" %}

```csharp
public class ClientProfile
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class ClientProfile
```

{% endtab %}
{% endtabs %}

## Fields

| Name        | Type                                                                            | Description                                                                                                    |
| ----------- | ------------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------- |
| **Default** | [ClientProfile](/api/wisej.web/general/application/wisej.core.clientprofile.md) | Returns the default [ClientProfile](/api/wisej.web/general/application/wisej.core.clientprofile.md) singleton. |

## Properties

### ![](/files/hsR4ok3152WyAf8J2C1u) Device

[String](https://docs.microsoft.com/dotnet/api/system.string): Device type.

### ![](/files/hsR4ok3152WyAf8J2C1u) Landscape

[Nullable\<Boolean>](https://docs.microsoft.com/dotnet/api/system.nullable-1): Device landscape mode.

### ![](/files/hsR4ok3152WyAf8J2C1u) MaxScreenWidth

[Int32](https://docs.microsoft.com/dotnet/api/system.int32): Maximum screen width.

### ![](/files/hsR4ok3152WyAf8J2C1u) MaxWidth

[Int32](https://docs.microsoft.com/dotnet/api/system.int32): Maximum browser width.

### ![](/files/hsR4ok3152WyAf8J2C1u) MinScreenWidth

[Int32](https://docs.microsoft.com/dotnet/api/system.int32): Minimum screen width.

### ![](/files/hsR4ok3152WyAf8J2C1u) MinWidth

[Int32](https://docs.microsoft.com/dotnet/api/system.int32): Minimum browser width.

### ![](/files/hsR4ok3152WyAf8J2C1u) Name

[String](https://docs.microsoft.com/dotnet/api/system.string): Name of the profile.

### ![](/files/hsR4ok3152WyAf8J2C1u) UserAgent

[String](https://docs.microsoft.com/dotnet/api/system.string): User agent string.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/general/application/wisej.core.clientprofile.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
